---
name: "OptaPlanner AI constraint solver"
metadata:
  keywords:
  - "optaplanner"
  - "kogito"
  - "constraint-solver"
  - "artificial-intelligence"
  - "employee-rostering"
  - "vehicle-routing-problem"
  - "maintenance-scheduling"
  - "timetabling"
  guide: "https://quarkus.io/guides/optaplanner"
  categories:
  - "business-automation"
  status: "stable"
group-id: "org.optaplanner"
artifact-id: "optaplanner-quarkus"
version: "8.5.0.Final"
description: "Optimize planning of vehicle routes, employee rosters, maintenance schedules,\
  \ task assignments, school timetables, conference schedules, etc."
